=== debian/control ===
Source: notary
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>,
           Michael Hudson-Doyle <mwhudson@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-bugsnag-bugsnag-go-dev,
               golang-github-cloudflare-cfssl-dev (>= 1.6.5),
               golang-github-docker-distribution-dev (>= 2.7.1~),
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-dev,
               golang-github-dvsekhvalnov-jose2go-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-golang-protobuf-1-5-dev,
               golang-github-gorilla-mux-dev,
               golang-github-jinzhu-gorm-dev,
               golang-github-lib-pq-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-miekg-pkcs11-dev,
#               golang-github-prometheus-client-golang-dev,    # vendored
               golang-github-shopify-logrus-bugsnag-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-viper-dev (>= 1.21.0),
               golang-github-stretchr-testify-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-gopkg-rethinkdb-rethinkdb-go.v6-dev (>> 6.2.1-3~),
               openssl,
               protoc-gen-go-grpc,
               protoc-gen-go-1-5
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Homepage: https://github.com/notaryproject/notary
Vcs-Browser: https://salsa.debian.org/go-team/packages/notary
Vcs-Git: https://salsa.debian.org/go-team/packages/notary.git
XS-Go-Import-Path: github.com/theupdateframework/notary

Package: notary
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for running and interacting with trusted collections
 Notary is a project that allows anyone to have trust over arbitrary
 collections of data.
 .
 The Notary project comprises a server (cmd/notary-server) and a client
 (cmd/notary) for running and interacting with trusted collections.
 .
 Notary aims to make the internet more secure by making it easy for people to
 publish and verify content. We often rely on TLS to secure our communications
 with a web server which is inherently flawed, as any compromise of the server
 enables malicious content to be substituted for the legitimate content.
 .
 With Notary, publishers can sign their content offline using keys kept highly
 secure. Once the publisher is ready to make the content available, they can
 push their signed trusted collection to a Notary Server.
 .
 Consumers, having acquired the publisher's public key through a secure
 channel, can then communicate with any notary server or (insecure) mirror,
 relying only on the publisher's key to determine the validity and integrity
 of the received content.
 .
 This package contains the binaries/tools.

Package: golang-github-docker-notary-dev
Provides: golang-github-theupdateframework-notary-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-bugsnag-bugsnag-go-dev,
         golang-github-cloudflare-cfssl-dev (>= 1.6.5),
         golang-github-docker-go-connections-dev,
         golang-github-docker-go-dev,
         golang-github-dvsekhvalnov-jose2go-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-golang-protobuf-1-5-dev,
         golang-github-gorilla-mux-dev,
         golang-github-jinzhu-gorm-dev,
         golang-github-lib-pq-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-miekg-pkcs11-dev,
#         golang-github-prometheus-client-golang-dev,    # vendored
         golang-github-shopify-logrus-bugsnag-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-viper-dev (>= 1.21.0),
         golang-github-stretchr-testify-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         golang-gopkg-rethinkdb-rethinkdb-go.v6-dev
Description: library for running and interacting with trusted collections
 Notary is a project that allows anyone to have trust over arbitrary
 collections of data.
 .
 The Notary project comprises a server (cmd/notary-server) and a client
 (cmd/notary) for running and interacting with trusted collections.
 .
 Notary aims to make the internet more secure by making it easy for people to
 publish and verify content. We often rely on TLS to secure our communications
 with a web server which is inherently flawed, as any compromise of the server
 enables malicious content to be substituted for the legitimate content.
 .
 With Notary, publishers can sign their content offline using keys kept highly
 secure. Once the publisher is ready to make the content available, they can
 push their signed trusted collection to a Notary Server.
 .
 Consumers, having acquired the publisher's public key through a secure
 channel, can then communicate with any notary server or (insecure) mirror,
 relying only on the publisher's key to determine the validity and integrity
 of the received content.
 .
 This package contains the source.
