=== debian/watch ===
version=4
opts="pretty=0.7.0+git%cd.%h, \
    repacksuffix=+ds1, \
    mode=git,pgpmode=none" \
    https://github.com/notaryproject/notary.git \
    HEAD
